﻿@model BeerOverflow.Web.Models.BeerSearchModel


@{
    ViewData["Title"] = "ListBeers";
}

<h1 style="color:#b58900">List of all beers in our database</h1>
<br>
@if (User.Identity.IsAuthenticated)
{
    <h5>If you don`t see a beer you like:</h5>
    <p>
        <a style="color:#b58900" asp-controller="Beer" asp-action="CreateBeer">Create New Beer</a>
    </p>
}

<form>
    Select the criteria for the search: <br>
    Name:  @Html.RadioButton("SearchOption", "Name")<br>
    CountryName: @Html.RadioButton("SearchOption", "Country Name")<br>
    BreweryName: @Html.RadioButton("SearchOption", "Brewery Name")<br>
    StyleName: @Html.RadioButton("SearchOption", "Style Name")<br>
    <label asp-for="Searcher">Search keyword:</label>
    <input asp-for="Searcher" />
    <div class="form-group">
        <input type="submit" value="Search" class="btn btn-primary" />
    </div>
</form>

<table class="table table-striped" id="myTable" style="color:white">
    <thead>
        <tr>
            <th>
                Picture
            </th>
            <th>
                <a style="color:#b58900" asp-action="ListBeers" asp-route-sortOption="NameAsc">NameAsc</a> <a style="color:#b58900" asp-action="ListBeers" asp-route-sortOption="NameDesc">NameDesc</a>
            </th>
            <th>
                <a style="color:#b58900" asp-action="ListBeers" asp-route-sortOption="PriceAsc">PriceAsc</a> <a style="color:#b58900" asp-action="ListBeers" asp-route-sortOption="PriceDesc">PriceDesc</a>
            </th>
            <th>
                StyleName
            </th>
            <th>
                BreweryName
            </th>
            <th>
                <a style="color:#b58900" asp-action="ListBeers" asp-route-sortOption="AlcoholPercentAsc">AlcoholPercentAsc</a> <a style="color:#b58900" asp-action="ListBeers" asp-route-sortOption="AlcoholPercentDesc">AlcoholPercentDesc</a>
            </th>
            <th>
                CountryName
            </th>
            <th>
                <a style="color:#b58900" asp-action="ListBeers" asp-route-sortOption="MililitersAsc">MililitersAsc</a> <a style="color:#b58900" asp-action="ListBeers" asp-route-sortOption="MililitersDesc">MililitersDesc</a>
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Beers)
        {
            <tr style="color:white">
                <td>
                    <img class="rounded-circle" src="@item.ImageURL" alt="Generic placeholder image" width="140" height="140">
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Price)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.StyleName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.BreweryName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.AlcoholPercent)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.CountryName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Mililiters)
                </td>
                @if (User.Identity.IsAuthenticated)
                {
                    <td>
                        <a style="color:#b58900" asp-action="EditBeer" asp-route-id="@item.Id">Edit</a>
                    </td>
                }
                <td>
                    <a style="color:#b58900" asp-action="Details" asp-route-id="@item.Id">Details</a>
                </td>
            </tr>
        }
    </tbody>

</table>
